org.bdgenomics.adam.apis.java

# JavaADAMContext

#### class JavaADAMContext extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JavaADAMContext
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new JavaADAMContext(sc: SparkContext)

   Builds this Java ADAM Context using an existing Spark Context.

   Builds this Java ADAM Context using an existing Spark Context.

   sc

     Spark Context to use to build this ADAM Context.

   returns

     A new Java ADAM Context.

2. #### new JavaADAMContext(jsc: JavaSparkContext)

   Builds this Java ADAM Context using an existing Java Spark Context.

   Builds this Java ADAM Context using an existing Java Spark Context.

   jsc

     Java Spark Context to use to build this ADAM Context.

   returns

     A new Java ADAM Context.

3. #### new JavaADAMContext(ac: ADAMContext)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val ac: ADAMContext

7. #### def adamRecordLoad(filePath: String): JavaAlignmentRecordRDD

   Loads in an ADAM read file.

   Loads in an ADAM read file. This method can load SAM, BAM, and ADAM files.

   filePath

     Path to load the file from.

   returns

     Returns a read RDD.

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def getSparkContext: JavaSparkContext

    returns

      Returns the Java Spark Context associated with this Java ADAM Context.

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped